package ch.std.jumpstart.repository;

import java.util.List;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import ch.std.jumpstart.jpa.City;

public interface CityRepository extends JpaRepository<City, Long> {

    City findByName(String name);
    
    @Query("SELECT c FROM City c WHERE c.name LIKE %?1%")
    List<City> findByNameLike(String name);

    @Query("SELECT c FROM City c WHERE c.name LIKE %?1%")
    Page<City> findByNameLike(String name, Pageable pageable);

}
